Skills
Update a skill
Modifies the specified skill's configuration.
Sökvägsparametrar
name
string
krävs
The name of the skill to update.
Rubrikparametrar
Foundry-Features
enum
krävs
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Begärandetext
default_version
string
krävs
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Svar
The request has succeeded.
Brödtext
id
string
krävs
The unique identifier of the skill.
name
string
krävs
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
krävs
A human-readable description of the skill.
default_version
string
krävs
The default version for the skill. Can be changed via updateSkill.
latest_version
string
krävs
The latest version for the skill.
Förfrågan
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json